%global modname zope.component

Summary: Zope Component Architecture
Name: python-zope-component
Version: 4.3.0
Release: %mkrel 1
Source0: https://pypi.io/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Python
BuildArch: noarch
URL: https://pypi.io/project/zope.component

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx

Requires: python-zope-interface
Requires: python-zope-event

%{?python_provide:%python_provide python-zope-component}

%description
This package represents the core of the Zope Component Architecture.
Together with the 'zope.interface' package, it provides facilities for
defining, registering and looking up components.

%package -n python3-zope-component
Summary: Zope Component Architecture
Group: Development/Python
%{?python_provide:%python_provide python3-zope-component}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

Requires: python3-zope-interface
Requires: python3-zope-event

%description -n python3-zope-component
This package represents the core of the Zope Component Architecture.
Together with the 'zope.interface' package, it provides facilities for
defining, registering and looking up components.

%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%build
%py2_build
%py3_build

# build Sphinx documents
COPYRIGHT=`grep Author: PKG-INFO |sed -e 's/Author: //'`
cat >docs/conf.py <<END
templates_path = ['_templates']
source_suffix = '.rst'
master_doc = 'index'
project = '%{modname}'
copyright = '$COPYRIGHT'
version = '%{version}'
release = '%{version}'
pygments_style = 'sphinx'
html_static_path = ['_static']
extensions = []
END

sphinx-build -b html docs/ html

rm -fr html/{.buildinfo,.doctrees}

%install
%py2_install
%py3_install

%files
%doc CHANGES.rst COPYRIGHT.txt README.rst
%doc html/
%license LICENSE.txt

%{python2_sitelib}/zope/component/
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

%files -n python3-zope-component
%doc CHANGES.rst COPYRIGHT.txt README.rst
%doc html/
%license LICENSE.txt
%{python3_sitelib}/zope/component/
%exclude %{python3_sitelib}/zope/component/*.txt
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth


%changelog
* Mon May 22 2017 mitya <mitya> 4.3.0-1.mga6
+ Revision: 1104072
- Mageify
- imported package python-zope-component

